Bug 1268685 - DHCP for wifi not working in Fedora 22, 21; ok in 20
DHCP for wifi not working in Fedora 22, 21; ok in 20
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
22
i686 Linux
unspecified Severity low
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-04 13:03 EDT by Fred J. Tydeman
Modified: 2016-07-19 16:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 16:14:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of journalctl -b -u NetworkManager (120.86 KB, text/plain)
2015-10-06 10:44 EDT, Fred J. Tydeman
no flags Details

  None (edit)
Description Fred J. Tydeman 2015-10-04 13:03:30 EDT
DHCP for wifi fails to get IPv4 address in Fedora 22 and 21.  It works ok in 20.
This is 32-bit versions of Fedora 22, 21, 20 (multi-boot setup) using LXDE.
The wifi security is WPA & WPA2 Personal with a password.
If I manually configure the IP address, netmask, gateway, and DNS server,
it works ok.
Comment 1 Jirka Klimes 2015-10-06 08:11:31 EDT
DHCP works fine for me in Fedora 21 or 22. Please check that you have a DHCP server properly configured.

Can you get NetworkManager log showing a connection attempt for DHCP?
# journalctl -b -u NetworkManger
Comment 2 Fred J. Tydeman 2015-10-06 10:44 EDT
Created attachment 1080261 [details]
output of journalctl -b -u NetworkManager
Comment 3 Fred J. Tydeman 2015-10-06 10:47:42 EDT
On this computer, DHCP works fine for:
  Fedora 20 (32-bit)
  Fedora 19 (64-bit)
  Fedora 17 (64-bit)
  Solaris
  Windows 7
On another computer, DHCP works fine for:
  Fedora 22 (64-bit)
  Fedora 21 (64-bit)
  Fedora 20 (64-bit)
  Fedora 19 (32-bit)
  Fedora 17 (32-bit)
  Solaris
  OS/2
  Windows 7
So, I believe that my DHCP server is setup correctly.
Comment 4 Fedora End Of Life 2016-07-19 16:14:51 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.